# AUTOGENERATED! DO NOT EDIT! File to edit: notebooks/07_diviner.ipynb (unless otherwise specified).

__all__ = ['storage_root', 'timestring_to_url', 'get_data_path']

# Cell

from pathlib import Path

from yarl import URL

import hvplot.xarray  # noqa
from .config import config
from .utils import url_retrieve

storage_root = config.storage_root / "missions/lro/diviner"

# Cell
def timestring_to_url(
    tstr: str,  # timestring of format YYYYmmddHH
) -> URL:  # Full URL to the Diviner L1A tab file
    """Get URL to Diviner L1A data.

    There are 2 volumes for now that have slightly different URLs.
    """
    base_url_1 = URL(
        "https://pds-geosciences.wustl.edu/lro/lro-l-dlre-2-edr-v1/lrodlr_0001/data/"
    )
    base_url_2 = URL(
        "https://pds-geosciences.wustl.edu/lro/lro-l-dlre-2-edr-v1/lrodlr_0002/data/"
    )
    year = tstr[:4]
    if int(year) <= 2016:
        base_url = base_url_1
    else:
        base_url = base_url_2
    yearmonth = tstr[:6]
    yearmonthday = tstr[:8]
    return base_url / year / yearmonth / yearmonthday / f"{tstr}_edr.tab"

# Cell
def get_data_path(tstr):
    dm = DataManager(tstr)
    if not dm.local_path.exists():
        dm.download()
    return dm.local_path